Update Installed From Catalog
POST
/v1/catalog/{slug}/update
const url = 'https://api.cloud.agentums.ru/v1/catalog/example/update';const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.cloud.agentums.ru/v1/catalog/example/update \ --header 'Authorization: Bearer <token>'Перевести установленную копию на свежую одобренную версию.
Только явным действием: автоматическое обновление означало бы, что одобренный однажды автор может менять текст, исполняющийся у людей, — то есть ровно то, ради чего снимок и заводился.
Authorizations
Заголовок раздела «Authorizations»Parameters
Заголовок раздела «Parameters»Path Parameters
Заголовок раздела «Path Parameters»slug
required
Slug
string
Responses
Заголовок раздела «Responses»Successful Response
Media typeapplication/json
CatalogUpdateOut
object
version
required
Version
integer
Examplegenerated
{ "version": 1}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ]}